# Project: Makefile for projects documentations
# $Id: Makefile-global.mk,v 1.1.1.1 2002/04/24 11:32:41 marc Exp $
#
# @(#)$file$
#
# Copyright (c) 2001 ATIX GmbH.
# Einsteinstrasse 10, 85716 Unterschleissheim, Germany
# All rights reserved.
#
# This software is the confidential and proprietary information of ATIX
# GmbH. ("Confidential Information").  You shall not
# disclose such Confidential Information and shall use it only in
# accordance with the terms of the license agreement you entered into
# with ATIX.
#
# Makefile for building the documentation

.PHONY: test tex rtf html dvi ps pdf images update help
help: Usage

test: 
	@echo Testing the Document ...
	$(NSGMLS) -sv $(DOCUMENT)
	@echo ready.
	@echo

dsls:
	@echo Testing the stylesheets ...
	$(NSGMLS) -sv $(HTMLDSL)
	@echo ready.
	@echo
	@echo Testing the stylesheets ...
	$(NSGMLS) -sv $(PRINTDSL)
	@echo ready.
	@echo

images:
	$(MAKE) -C images DOC_TYPE=gif
	$(MAKE) -C images DOC_TYPE=eps

tex: $(DOCUMENT:%.sgm=%.tex)

rtf: $(DOCUMENT:%.sgm=%.rtf)

html: $(DOCUMENT:%.sgm=%.htm)

dvi: $(DOCUMENT:%.sgm=%.dvi)

ps: $(DOCUMENT:%.sgm=%.ps)

pdf: $(DOCUMENT:%.sgm=%.pdf)

update:
	@echo "CVS-Update from here..."
