# Project: Makefile for projects documentations
# $Id: Makefile.inc,v 1.3 2002/05/10 12:48:00 marc Exp $
#
# @(#)$file$
#
# Copyright (c) 2001 ATIX GmbH.
# Einsteinstrasse 10, 85716 Unterschleissheim, Germany
# All rights reserved.
#
# This software is the confidential and proprietary information of ATIX
# GmbH. ("Confidential Information").  You shall not
# disclose such Confidential Information and shall use it only in
# accordance with the terms of the license agreement you entered into
# with ATIX.
#
# Makefile for building the documentation

##########################
# An environment variable ATIXDEV_HOME has to be defined for the root where 
# com.oonics and com.oonics.obj are stored.
##########################

# necesarry executables
CATALOG_FILES=-c /usr/share/sgml/CATALOG.docbkdsl -c /usr/share/sgml/CATALOG.docbk41 -c /usr/share/sgml/CATALOG.jade_dsl
NSGMLS=/usr/bin/nsgmls
DVI2PS=/usr/bin/dvips
PS2PDF=/usr/bin/ps2pdf
JADETEX=/usr/bin/jadetex
FIG2DEV=/usr/X11R6/bin/fig2dev
JADE=/usr/bin/jade

ifdef CATALOG_FILES
JADE+=$(CATALOG_FILES)
NSGMLS+=$(CATALOG_FILES)
endif

DOCUMENTS=$(shell ls *.sgm 2> /dev/null)
DOC_TYPE=dvi

DOOKBOOK_PATH = /usr/share/docbook
PRINTDSL = stylesheets/atix.dsl
HTMLDSL  = stylesheets/atix.dsl
HTMLREF  = \#html
PRINTREF = \#print

########################################
# CVS-Log
# $Log: Makefile.inc,v $
# Revision 1.3  2002/05/10 12:48:00  marc
# added CATALOG_FILES
#
# Revision 1.2  2002/04/30 09:38:52  marc
# Added CATALOG_FILES as define
#
# Revision 1.1.1.1  2002/04/30 08:36:53  marc
# Initial version of internal documentation [ldap-addressbuch]
#
# Revision 1.1.1.1  2002/04/24 11:32:41  marc
# Initial version of internaldoc templates
#
# Revision 1.3  2002/04/24 08:02:44  marc
# Beautified; Concept with Makefile.inc Makefile.rls Makefile-global.mk Makefile.sfx. CVS log
#
########################################
