<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY html-ss 
  PUBLIC "-//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN" CDATA dsssl>
<!ENTITY print-ss
  PUBLIC "-//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN" CDATA dsssl>
]>
   
<style-sheet>
   <style-specification id="print" use="print-stylesheet">
      <style-specification-body>
       (define %graphic-default-extension% 
        "eps")
       (define %generate-article-toc% #t)
       (define %generate-article-titlepage% 
        ;; Should an article title page be produced?
        #t)

	(define (article-titlepage-recto-elements)
	  (list (normalize "title") 
	   (normalize "subtitle") 
   	   (normalize "corpauthor") 
   	   (normalize "corpname") 
   	   (normalize "copyright") 
	   (normalize "authorgroup") 
	   (normalize "author") 
	   (normalize "abstract")
	   (normalize "contrib")
	   (normalize "date")))

	(define (article-titlepage-verso-elements)
	 '())
       (element imagedata
        (if (have-ancestor? (normalize "mediaobject"))
          ($img$ (current-node) #t)                 
          ($img$ (current-node) #f)))
      </style-specification-body>
   </style-specification>

   <style-specification id="html" use="html-stylesheet">
      <style-specification-body>
	      ;; to make one big file

	(define (article-titlepage-recto-elements)
	  (list (normalize "title") 
	   (normalize "subtitle") 
   	   (normalize "corpauthor") 
   	   (normalize "corpname") 
   	   (normalize "copyright") 
	   (normalize "authorgroup") 
	   (normalize "author") 
	   (normalize "abstract")
	   (normalize "contrib")
	   (normalize "date")))

	(define (article-titlepage-verso-elements)
	 '())
       (define nochunks
        #t)

       (define %use-id-as-filename%
        ;; Use ID attributes as name for component HTML files?
        #t)

       ;; css-stylesheet stuff
       (define %css-decoration%
        ;; Enable CSS decoration of elements
        #t)
       (define %stylesheet-type%
        ;; The type of the stylesheet to use
        "text/css")
   
       ;; the body
       (define %body-attr% 
        ;; What attributes should be hung off of BODY?
        ;; Standard: style="margin:20px; "
        ;;           bgcolor="#ffffff" 
        ;;           leftmargin="0" 
        ;;           topmargin="0" 
        ;;           marginheight="0" 
        ;;           marginwidth="0"
        (list
        (list "style" "margin:20px; ")
        (list "BGCOLOR" "#FFFFFF")
        (list "leftmargin" "0")
        (list "topmargin" "0")
        (list "marginheight" "0")
        (list "marginwidth" "0")))

       ;; default grafic extension for images on html
       (define %graphic-default-extension% 
        "gif")
       (define %generate-article-toc% #t)
       (define ($generate-qandaset-toc$)
        ;; Should a QandASet Table of Contents be produced?
        #t) 
      </style-specification-body>
   </style-specification>

   <external-specification id="print-stylesheet" document="print-ss">
   <external-specification id="html-stylesheet" document="html-ss">
</style-sheet>

